package com.saye.hospitalgd.service;

import com.saye.hospitalgd.entity.BankbillsHistory;

import java.util.HashMap;
import java.util.List;

/**
 * Created with IntelliJ IDEA.
 *
 * @author： Mr.zs
 * @date： 2022/12/6
 * @description：
 * @modifiedBy：
 * @version: 1.0
 */
public interface BankbillsHistoryService {
    List<HashMap<Object, Object>> findBankbillHistoryByParam(HashMap<Object, Object> searchNotUniqueObjMap);

    List<HashMap<Object, Object>> findBankBillsByDate(HashMap<Object, Object> searchMap);


    void insertOriginal(List<BankbillsHistory> bankbillsHistories, String trade_date, String bill_table_name);

    void insertHistory(List<BankbillsHistory> bankbillsHistories, String trade_date, String bill_table_name);

    int saveOriginalData(List<HashMap<Object, Object>> savList, String trade_date);

    int saveHistoryData(List<HashMap<Object, Object>> savList, String trade_date);

}
